%define sname dsk
%define name lib%sname
%define version 1.2.1
%define release %mkrel 2

%define major 3

%define libname %mklibname %sname %major
%define libname_devel %mklibname -d %sname
%define libname_static_devel %mklibname -s -d %sname

Name: %{name}
Summary: A library for accessing floppy drives and disk images transparently
Version: %{version}
Release: %{release}
License: GPL
URL: http://www.seasip.demon.co.uk/Unix/LibDsk/
Source: http://www.seasip.demon.co.uk/Unix/LibDsk/%{name}-%{version}.tar.gz
Group: System/Libraries
BuildRequires: libz-devel bzip2-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
LibDsk is a library intended to give transparent access to floppy drives and
to the "disc image files" used by emulators to represent floppy drives.

%package -n %{libname}
Summary: A library for accessing floppy drives and disk images transparently
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
LibDsk is a library intended to give transparent access to floppy drives and
to the "disc image files" used by emulators to represent floppy drives.

Install the libdsk package if you need to manipulate DSK files. You should
also install the libdsk-progs package.

%package -n %{libname_devel}
Summary: Development files for programs which will use the libdsk library
Group: Development/C
Requires: %{libname} = %{version}
Provides: %name-devel = %{version}-%{release}
Obsoletes: %{libname}-devel

%description -n %{libname_devel}
This package contains the header files and documentation necessary for
development of programs that will use the libdsk library to load and save
DSK format disc image files.

You should install this package if you need to develop programs which will
use the libdsk library functions for loading and saving DSK format disc
image files. You'll also need to install the libdsk package.

%package -n %{libname_static_devel}
Summary: Static libraries for programs which will use the libdsk library
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %libname_static_devel = %{version}-%{release}
Obsoletes: %{libname}-static-devel

%description -n %{libname_static_devel}
This package contains the static libraries, necessary for development of
programs that will use the libdsk library to load and save DSK format
disc image files.

You should install this package if you need to develop programs which
will use the libdsk library functions for loading and saving DSK format
disc image files. You'll also need to install the libdsk package.

%package progs
Summary: Programs for manipulating DSK format disc image files
Group: Emulators
Requires: %{libname} = %{version}-%{release}

%description progs
The libdsk-progs package contains various programs for manipulating
DSK format disc image files.

Install this package if you need to manipulate DSK format disc image
files. You'll also need to install the libdsk package.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc ChangeLog doc/COPYING doc/README doc/TODO
%{_libdir}/lib*.so.%{major}*

%files -n %{libname_devel}
%defattr(-,root,root)
%doc doc/COPYING doc/cfi.html doc/libdsk.*
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h

%files -n %{libname_static_devel}
%defattr(-,root,root)
%doc doc/COPYING
%{_libdir}/lib*.a

%files progs
%defattr(-,root,root)
%doc doc/COPYING
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.2.1-2.mga3
+ Revision: 357018
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat May 14 2011 nanardon <nanardon> 1.2.1-1.mga1
+ Revision: 98701
- imported package libdsk

